Package org.eclipse.graphiti.datatypes

# Interface IAdvancedDimension

All Superinterfaces:
  `IDimension`

All Known Implementing Classes:
  `DimensionImpl`

public interface IAdvancedDimension extends IDimension
The Interface IAdvancedDimension. It provides additional methods for the dimension data type.

## Method Summary

Modifier and Type
Method
Description
`IDimension`
`expand(int dw, int dh)`
Expands the current dimension
`IDimension`
`getDimensionCopy()`
`void`
`scale(double amount)`
Changes the current dimension
`IDimension`
`setDimension(int width, int height)`
Sets the width and height of the dimension.
`IDimension`
`setDimension(IDimension dimension)`
Sets the width and height of the dimension.

### Methods inherited from interface org.eclipse.graphiti.datatypes.IDimension

`getHeight, getWidth, setHeight, setWidth`

## Method Details

### getDimensionCopy

IDimension getDimensionCopy()

Returns:
  An exact copy of the current advanced dimension instance.

### setDimension

IDimension setDimension(int width, int height)
Sets the width and height of the dimension.

Parameters:
  `width` - the new width of the dimension
  `height` - the new height of the dimension
Returns:
  the current instance

### setDimension

IDimension setDimension(IDimension dimension)
Sets the width and height of the dimension.

Parameters:
  `dimension` - the dimension which contains the new width and height
Returns:
  the current instance

### scale

void scale(double amount)
Changes the current dimension

Parameters:
  `amount` - width and height of the dimension will be multiplied with this amount

### expand

IDimension expand(int dw, int dh)
Expands the current dimension

Parameters:
  `dw` - this value will be added to the width
  `dh` - this value will be added to the height
Returns:
  the current instance